Package Details: kwallet-pam-git 5.22.80_r244.gb93e8c6-1

Git Clone URL: https://aur.archlinux.org/kwallet-pam-git.git (read-only, click to copy)
Package Base: kwallet-pam-git
Description: KWallet PAM integration
Upstream URL: https://kde.org/plasma-desktop/
Keywords: kde
Licenses: LGPL
Conflicts: kwallet-pam
Provides: kwallet-pam
Submitter: ilpianista
Maintainer: IslandC0der (chaotic-aur)
Last Packager: IslandC0der
Votes: 12
Popularity: 0.000065
First Submitted: 2015-08-05 16:35 (UTC)
Last Updated: 2021-05-30 17:57 (UTC)

Latest Comments

1 2 Next › Last »

IslandC0der commented on 2020-06-29 11:41 (UTC)

The merge request has been accepted.

IslandC0der commented on 2020-06-27 21:05 (UTC)

I've requested this package to be merged with kwallet-pam-git.

hamelg commented on 2015-08-31 21:40 (UTC)

now, kwallet-pam is now in stable. it works fine, see here : https://bbs.archlinux.org/viewtopic.php?id=201634

hamelg commented on 2015-08-28 20:58 (UTC)

Here, It didn't work with sddm/kde5. I have modified the right files in /etc/pam.d (login, passwd & sddm), but kwallet5 still asks my password :[ What pieces are missing ?

arojas commented on 2015-08-20 19:55 (UTC)

New URL https://projects.kde.org/projects/kde/workspace/kwallet-pam https://projects.kde.org/kwallet-pam will always redirect to the correct one

danekl commented on 2015-08-15 13:04 (UTC)

I believe the sources have moved (and that's why it complains about unused defines). The latest is at git://anongit.kde.org/kwallet-pam. Furthermore, the sources have changed in that you now should set KWALLET4=1 to build the KDE4-version (i.e. kwallet5 is the default). You should also add a dependency on 'socat', as it wont work without it. The following works for me (although I haven't been able to test kwallet5, since there's still pieces missing in kde stable) pkgver() { cd kwallet-pam printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" } prepare() { mkdir -p build-kde4 mkdir -p build-kde5 } build() { pushd build-kde4 cmake ../kwallet-pam \ -DCMAKE_BUILD_TYPE=Release \ -DCMAKE_INSTALL_LIBDIR=usr/lib \ -DKWALLET4=1 make popd pushd build-kde5 cmake ../kwallet-pam \ -DCMAKE_BUILD_TYPE=Release \ -DCMAKE_INSTALL_LIBDIR=usr/lib make popd } package() { make -C build-kde4 DESTDIR="${pkgdir}" install make -C build-kde5 DESTDIR="${pkgdir}" install }

pedrogabriel commented on 2015-08-05 01:04 (UTC)

When using the flag indicated there I get the following warning CMake Warning: Manually-specified variables were not used by the project: KWALLET5 QT_QMAKE_EXECUTABLE so I will not update it now, since it would be just a placebo.

imraro commented on 2015-07-28 06:12 (UTC)

http://martys.typepad.com/blog/2015/07/kwallet5-can-be-auto-unlocked-during-login-again.html